[launcher] Enable Backlight Toggles (active icons/apps) by default for Unity/Unity-2d

Bug #753969 reported by Joaquin on 2011-04-07
42
This bug affects 8 people
Affects Status Importance Assigned to Milestone
Ayatana Design
Undecided
Unassigned
Unity
Incomplete
Wishlist
Unassigned
unity-2d
Wishlist
Unassigned
unity (Ubuntu)
Wishlist
Unassigned
unity-2d (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: unity-2d

After discussion of ayatana and ayatana-dev we agree that enable this option by default for Unity and Unity-2d will be very useful.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.8.2-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-8.41-generic-pae 2.6.38.2
Uname: Linux 2.6.38-8-generic-pae i686
NonfreeKernelModules: nvidia
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,decor,grid,imgpng,snap,mousepoll,place,blur,regex,compiztoolbox,vpswitch,move,gnomecompat,wall,resize,reflex,session,animation,workarounds,expo,ezoom,staticswitcher,fade,scale,unityshell]
Date: Thu Apr 7 21:14:19 2011
InstallationMedia: elementary
ProcEnviron:
 LANGUAGE=es_ES:en
 LANG=es_ES.UTF-8
 SHELL=/bin/bash
SourcePackage: unity
UpgradeStatus: Upgraded to natty on 2011-03-01 (36 days ago)

Joaquin (jknvv13) wrote :

This is indeed not implemented in unity-2d as of today. No clue if/when it will be implemented. That may be a good candidate for a bitesize contribution.

summary: - Unity 2D doesn't support backlight_toggles
+ [launcher] Backlight Mode cannot be configured
Changed in unity-2d:
status: New → Confirmed

How Can I propose it?

2011/4/8 Olivier Tilloy <email address hidden>

> This is indeed not implemented in unity-2d as of today. No clue if/when
> it will be implemented. That may be a good candidate for a bitesize
> contribution.
>
> ** Summary changed:
>
> - Unity 2D doesn't support backlight_toggles
> + [launcher] Backlight Mode cannot be configured
>
> ** Also affects: unity-2d
> Importance: Undecided
> Status: New
>
> ** Changed in: unity-2d
> Status: New => Confirmed
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/753969
>
> Title:
> [launcher] Backlight Mode cannot be configured
>
> Status in Unity 2D:
> Confirmed
> Status in “unity-2d” package in Ubuntu:
> New
>
> Bug description:
> Binary package hint: unity-2d
>
> I tried to configure via GConf-editor the backlight_toggles like on compiz
> version, and there's no supported..
> When it will be released for Unity 2D version?
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: unity 3.8.2-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.38-8.41-generic-pae 2.6.38.2
> Uname: Linux 2.6.38-8-generic-pae i686
> NonfreeKernelModules: nvidia
> Architecture: i386
> CompizPlugins:
> [core,bailer,detection,composite,opengl,decor,grid,imgpng,snap,mousepoll,place,blur,regex,compiztoolbox,vpswitch,move,gnomecompat,wall,resize,reflex,session,animation,workarounds,expo,ezoom,staticswitcher,fade,scale,unityshell]
> Date: Thu Apr 7 21:14:19 2011
> InstallationMedia: elementary
> ProcEnviron:
> LANGUAGE=es_ES:en
> LANG=es_ES.UTF-8
> SHELL=/bin/bash
> SourcePackage: unity
> UpgradeStatus: Upgraded to natty on 2011-03-01 (36 days ago)
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/unity-2d/+bug/753969/+subscribe
>

Changed in unity-2d:
importance: Undecided → Wishlist
Changed in unity-2d (Ubuntu):
status: New → Confirmed
Changed in unity-2d:
assignee: nobody → Bartosz (gang65)

This patch add the backlight mode by default.
Unfortunately there is an problem with after mouse drag on luncher, the all icons are backlighted.

Why it is that happened?

papukaija (papukaija) on 2011-05-10
tags: added: patch
summary: - [launcher] Backlight Mode cannot be configured
+ [launcher] Enable Backlight Toggles by default for Unity/Unity-2d
description: updated
Changed in unity-2d:
status: Confirmed → In Progress
Alex Launi (alexlauni) on 2011-05-19
Changed in unity:
status: New → Incomplete
Changed in unity (Ubuntu):
status: New → Incomplete
Changed in unity:
importance: Undecided → Wishlist
Changed in unity (Ubuntu):
importance: Undecided → Wishlist
tags: added: needs-design
Didier Roche (didrocks) on 2011-05-31
Changed in unity-2d (Ubuntu):
status: Confirmed → In Progress
Changed in unity-2d:
milestone: none → 3.10

Some icon themes are dark, grey, or white, so the launcher creates a
backlight based on these colors, so there's impossible to see the icons.

2011/6/13 Florian Boucault <email address hidden>

> ** Changed in: unity-2d
> Milestone: None => 3.10
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/753969
>
> Title:
> [launcher] Enable Backlight Toggles by default for Unity/Unity-2d
>
> Status in Ayatana Design:
> New
> Status in Unity:
> Incomplete
> Status in Unity 2D:
> In Progress
> Status in “unity” package in Ubuntu:
> Incomplete
> Status in “unity-2d” package in Ubuntu:
> In Progress
>
> Bug description:
> Binary package hint: unity-2d
>
> After discussion of ayatana and ayatana-dev we agree that enable this
> option by default for Unity and Unity-2d will be very useful.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: unity 3.8.2-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.38-8.41-generic-pae 2.6.38.2
> Uname: Linux 2.6.38-8-generic-pae i686
> NonfreeKernelModules: nvidia
> Architecture: i386
> CompizPlugins:
> [core,bailer,detection,composite,opengl,decor,grid,imgpng,snap,mousepoll,place,blur,regex,compiztoolbox,vpswitch,move,gnomecompat,wall,resize,reflex,session,animation,workarounds,expo,ezoom,staticswitcher,fade,scale,unityshell]
> Date: Thu Apr 7 21:14:19 2011
> InstallationMedia: elementary
> ProcEnviron:
> LANGUAGE=es_ES:en
> LANG=es_ES.UTF-8
> SHELL=/bin/bash
> SourcePackage: unity
> UpgradeStatus: Upgraded to natty on 2011-03-01 (36 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/753969/+subscriptions
>

Changed in unity-2d:
milestone: 3.8.10 → none
Joaquin (jknvv13) wrote :

It's impossible to see the icons when using a plane color icons.
For example, black icons + black backlight = no visibility
El 04/07/2011 10:56, "Florian Boucault" <email address hidden> escribió:
> ** Changed in: unity-2d
> Milestone: 3.8.10 => None
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/753969
>
> Title:
> [launcher] Enable Backlight Toggles by default for Unity/Unity-2d
>
> Status in Ayatana Design:
> New
> Status in Unity:
> Incomplete
> Status in Unity 2D:
> In Progress
> Status in “unity” package in Ubuntu:
> Incomplete
> Status in “unity-2d” package in Ubuntu:
> In Progress
>
> Bug description:
> Binary package hint: unity-2d
>
> After discussion of ayatana and ayatana-dev we agree that enable this
> option by default for Unity and Unity-2d will be very useful.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: unity 3.8.2-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.38-8.41-generic-pae 2.6.38.2
> Uname: Linux 2.6.38-8-generic-pae i686
> NonfreeKernelModules: nvidia
> Architecture: i386
> CompizPlugins:
[core,bailer,detection,composite,opengl,decor,grid,imgpng,snap,mousepoll,place,blur,regex,compiztoolbox,vpswitch,move,gnomecompat,wall,resize,reflex,session,animation,workarounds,expo,ezoom,staticswitcher,fade,scale,unityshell]
> Date: Thu Apr 7 21:14:19 2011
> InstallationMedia: elementary
> ProcEnviron:
> LANGUAGE=es_ES:en
> LANG=es_ES.UTF-8
> SHELL=/bin/bash
> SourcePackage: unity
> UpgradeStatus: Upgraded to natty on 2011-03-01 (36 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/753969/+subscriptions

Changed in unity-2d:
status: In Progress → Confirmed
Joaquin (jknvv13) wrote :

Will Unity2D get the backlight values from Unity 3D Compiz's profile?
El 21/09/2011 00:05, "Florian Boucault" <email address hidden> escribió:
> ** Changed in: unity-2d
> Status: In Progress => Confirmed
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/753969
>
> Title:
> [launcher] Enable Backlight Toggles by default for Unity/Unity-2d
>
> Status in Ayatana Design:
> New
> Status in Unity:
> Incomplete
> Status in Unity 2D:
> Confirmed
> Status in “unity” package in Ubuntu:
> Incomplete
> Status in “unity-2d” package in Ubuntu:
> In Progress
>
> Bug description:
> Binary package hint: unity-2d
>
> After discussion of ayatana and ayatana-dev we agree that enable this
> option by default for Unity and Unity-2d will be very useful.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: unity 3.8.2-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.38-8.41-generic-pae 2.6.38.2
> Uname: Linux 2.6.38-8-generic-pae i686
> NonfreeKernelModules: nvidia
> Architecture: i386
> CompizPlugins:
[core,bailer,detection,composite,opengl,decor,grid,imgpng,snap,mousepoll,place,blur,regex,compiztoolbox,vpswitch,move,gnomecompat,wall,resize,reflex,session,animation,workarounds,expo,ezoom,staticswitcher,fade,scale,unityshell]
> Date: Thu Apr 7 21:14:19 2011
> InstallationMedia: elementary
> ProcEnviron:
> LANGUAGE=es_ES:en
> LANG=es_ES.UTF-8
> SHELL=/bin/bash
> SourcePackage: unity
> UpgradeStatus: Upgraded to natty on 2011-03-01 (36 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/753969/+subscriptions

Changed in unity-2d:
assignee: Bartosz (gang65) → nobody
Didier Roche (didrocks) on 2011-10-03
Changed in unity-2d:
status: Confirmed → In Progress

Why is this ‘Incomplete’ for Unity bugtask?

I think it has to be by default because there is more indicative (it shows
what app is running) and because if you change the default icon theme, for
example, to AwOken (grey color) and it's unreadable.
El 05/11/2011 20:25, "Fitoschido" <email address hidden> escribió:

> Why is this ‘Incomplete’ for Unity bugtask?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/753969
>
> Title:
> [launcher] Enable Backlight Toggles by default for Unity/Unity-2d
>
> Status in Ayatana Design:
> New
> Status in Unity:
> Incomplete
> Status in Unity 2D:
> In Progress
> Status in “unity” package in Ubuntu:
> Incomplete
> Status in “unity-2d” package in Ubuntu:
> In Progress
>
> Bug description:
> Binary package hint: unity-2d
>
> After discussion of ayatana and ayatana-dev we agree that enable this
> option by default for Unity and Unity-2d will be very useful.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: unity 3.8.2-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.38-8.41-generic-pae 2.6.38.2
> Uname: Linux 2.6.38-8-generic-pae i686
> NonfreeKernelModules: nvidia
> Architecture: i386
> CompizPlugins:
> [core,bailer,detection,composite,opengl,decor,grid,imgpng,snap,mousepoll,place,blur,regex,compiztoolbox,vpswitch,move,gnomecompat,wall,resize,reflex,session,animation,workarounds,expo,ezoom,staticswitcher,fade,scale,unityshell]
> Date: Thu Apr 7 21:14:19 2011
> InstallationMedia: elementary
> ProcEnviron:
> LANGUAGE=es_ES:en
> LANG=es_ES.UTF-8
> SHELL=/bin/bash
> SourcePackage: unity
> UpgradeStatus: Upgraded to natty on 2011-03-01 (36 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/753969/+subscriptions
>

Fitoschido, Unity uses bug statuses differently from every other Launchpad project. See <https://wiki.ubuntu.com/Unity/FilingBugs#Design_Bugs>.

is this bug really in progress??

Omer Akram (om26er) wrote :

No, its not inprogress. Not changed the status to incomplete till we wait for design.

Changed in unity-2d:
status: In Progress → Incomplete
Changed in unity-2d (Ubuntu):
status: In Progress → Incomplete
importance: Undecided → Wishlist
John Lea (johnlea) wrote :

This bug has been discussed extensively, and this is not a change we are making for Precise.

Changed in ayatana-design:
status: New → Won't Fix
manny (estelar57) on 2012-03-04
summary: - [launcher] Enable Backlight Toggles by default for Unity/Unity-2d
+ [launcher] Enable Backlight Toggles (active icons/apps) by default for
+ Unity/Unity-2d
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers